Loading...
Searching...
No Matches
test.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation_value_diff(T, M, Value, Diff)
#define | _RHEOLEF_instanciation_value(T, M, Value)
#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T, class M>
const geo_element & | assembly2space_geo_element (const geo_basic< T, M > &space_geo, const geo_basic< T, M > &omega_K, const geo_element &K_in)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation_value_diff

#define _RHEOLEF_instanciation_value_diff | ( |  | T,
|  |  | M,
|  |  | Value,
|  |  | Diff )

Value:
template void test_rep<T,M>::evaluate<Value,Diff> ( \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
const details::differentiate_option& gopt, \
Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value) const; \
template void test_rep<T,M>::evaluate_on_side<Value,Diff> ( \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
const side_information_type& sid, \
const details::differentiate_option& gopt, \
Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value) const; \

Definition at line 494 of file test.cc.

## _RHEOLEF_instanciation_value

#define _RHEOLEF_instanciation_value | ( |  | T,
|  |  | M,
|  |  | Value )

Value:
template void test_rep<T,M>::local_dg_merge_on_side ( \
const geo_basic<T,M>& omega_K, \
const geo_element& S, \
const geo_element& K0, \
const geo_element& K1, \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value0, \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value1, \
Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value) const; \
_RHEOLEF_instanciation_value_diff(T,M,Value,details::differentiate_option::none) \
_RHEOLEF_instanciation_value_diff(T,M,Value,details::differentiate_option::gradient) \
_RHEOLEF_instanciation_value_diff(T,M,Value,details::differentiate_option::divergence) \
_RHEOLEF_instanciation_value_diff(T,M,Value,details::differentiate_option::curl) \
T
Expr1::float_type T
Definition field_expr.h:230
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 507 of file test.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M )

Value:
template class test_rep<T,M>; \
_RHEOLEF_instanciation_value(T,M,T) \
_RHEOLEF_instanciation_value(T,M,point_basic<T>) \
_RHEOLEF_instanciation_value(T,M,tensor_basic<T>) \
_RHEOLEF_instanciation_value(T,M,tensor3_basic<T>) \
_RHEOLEF_instanciation_value(T,M,tensor4_basic<T>) \

Definition at line 521 of file test.cc.